Represents a Font

- « UI\Draw\Text\Layout::setWidth

- UI\Draw\Text\Font::__construct »

- PHP Manual
- UI
- Represents a Font

# Represents a Font

(UI 0.9.9)

## Introduction

Loads a described font

## Class synopsis

class UI\Draw\Text\Font {
/* Constructor */
public __construct(UI\Draw\Text\Font\Descriptor `$descriptor`)
/* Methods */
public getAscent(): float
public getDescent(): float
public getLeading(): float
public getUnderlinePosition(): float
public getUnderlineThickness(): float
}

## Table of Contents

- UI\Draw\Text\Font::__construct — Construct a new Font
- UI\Draw\Text\Font::getAscent — Font Metrics
- UI\Draw\Text\Font::getDescent — Font Metrics
- UI\Draw\Text\Font::getLeading — Font Metrics
- UI\Draw\Text\Font::getUnderlinePosition — Font Metrics
- UI\Draw\Text\Font::getUnderlineThickness — Font Metrics